<---- template headericclude ----->
[SOLVED] Fedora 17 boinc rpm package defective?
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 5 of 5
  1. #1
    Join Date
    Jun 2011
    Posts
    79
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Cool Fedora 17 boinc rpm package defective?

    Hi all,

    I just upgraded from fedora 16 to 17, quite painfully I must admit. One of the more minor problems I am having right now is related to the boinc package (installed ones are boinc-client-6.12.43-1.r25218svn.fc17.x86_64
    boinc-manager-6.12.43-1.r25218svn.fc17.x86_64). Boinc client runs fine in the background but manager cannot connect to the localhost. I believe this is at least partly because of a system script not being included in the rpm package since
    Code:
    #systemctl enable boinc-client.service
    Failed to issue method call: No such file or directory
    I posted this to the boinc message board as well but so far did not receive any response (http://boinc.berkeley.edu/dev/forum_thread.php?id=7622).

    Any input will be greatly appreciated.

  2. #2
    Join Date
    Jun 2011
    Location
    Atlanta, GA
    Posts
    11
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Fedora 17 boinc rpm package defective?

    Bump. Exact same problem here. Boinc ran fine in F16. I updated to F17 today and can't connect to localhost. I tried all the suggestions on the Boinc site and nothing works. I remember this also happened on F16 when it was brand new and took them quite awhile to get it resolved but I don't remember what the solution was. EDIT: Same error message as well. Forgot to mention that.

  3. #3
    Join Date
    Jun 2011
    Posts
    79
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Fedora 17 boinc rpm package defective?

    I found the missing system script (please see below) from a back up and copied it to the /etc/init.d directory with the name "boinc-client" and everything is back to normal now.

    Code:
    #!/bin/bash
    #
    # BOINC - start and stop the BOINC client daemon on Unix
    #
    #  SysVInit start/stop script to run the BOINC client as a daemon at
    #  system startup, as the $BOINCUSER (not root!).
    #
    #  This version has been modified for Fedora/RHEL.
    #
    ###
    # chkconfig: - 98 02
    # description: This script starts the local BOINC client as a daemon
    #         For more information about BOINC (the Berkeley Open Infrastructure
    #         for Network Computing) see http://boinc.berkeley.edu
    # processname: boinc-client
    # config: /etc/sysconfig/boinc-client
    #
    ### BEGIN INIT INFO
    # Provides: boinc
    # Required-Start: $network
    # Required-Stop:  $network
    # Default-Start: 
    # Default-Stop: 0 1 2 6
    # Short-Description: This script monitors the BOINC client.
    # Description: This script starts the local BOINC client as a daemon
    #         For more information about BOINC (the Berkeley Open Infrastructure
    #         for Network Computing) see http://boinc.berkeley.edu
    ### END INIT INFO
    #
    # Based on the init script provided by:
    # Eric Myers <myers@vassar.edu>  - 27 July 2004
    # Department of Physics and Astronomy, Vassar College, Poughkeepsie NY
    # Eric Myers <myers@spy-hill.net> 
    # Spy Hill Research, Poughkeepsie, New York
    #
    # Rewritten by Milos Jakubicek <xjakub@fi.muni.cz> - 10 March 2009
    # Faculty of Informatics, Masaryk University Brno, Czech Republic
    ########################################################################
    
    # Defaults, which can be overridden by putting new NAME=value lines 
    # in /etc/sysconfig/boinc-client
    
    # Name of user to run as:
    
    BOINCUSER=boinc
    
    # Working directory.
    
    BOINCDIR="/var/lib/boinc"
    
    # Name of the client executable.
    
    BOINCEXE="/usr/bin/boinc_client"
    BOINCCMD="/usr/bin/boinccmd"
    
    # Cgroup to be used: this is necessary to ensure low scheduling priority for Boinc
    
    CGROUP_DAEMON="cpu:/background"
    
    # Log and error files (should be placed in /var/log/ to avoid SELinux related issues)
    
    LOGFILE="/var/log/boinc.log"
    ERRORLOG="/var/log/boincerr.log"
    
    # BOINC options: for the command line when running the client.  
    
    BOINCOPTS=
    
    # Service name
    
    prog=boinc-client
    
    # Subsys lock file
    
    LOCKFILE="/var/lock/subsys/$prog"
    
    # Init script function library.
    
    . /etc/rc.d/init.d/functions
    
    # Look for any local configuration settings which override all above
    
    [ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
    
    # Verify the $BOINCDIR working directory exists
    
    if [ ! -d $BOINCDIR ]; then
    	echo -n "Cannot find BOINC directory $BOINCDIR"
    	echo_failure
    	echo 
    	exit 7
    fi
    
    # Verify the $BOINCEXE executable exists
    
    if [ ! -x $BOINCEXE ]; then
    	echo -n "Cannot find an executable for the BOINC client."
    	echo_failure
    	echo 
    	exit 2
    fi
    
    # Create cgroup and set minimum CPU priority
    
    cgcreate -g $CGROUP_DAEMON
    cgset -r cpu.shares=2 `echo $CGROUP_DAEMON | cut -f2 -d:`
    
    # Warn if there are no projects attached
    
    cd $BOINCDIR
    if [ ! -d projects ] ; then
    	echo -n "BOINC client requires initialization (no projects attached)."
    	echo_warning
    	echo 
    fi
    
    check_status() {
    	status $BOINCEXE >& /dev/null
    }
    
    start() {
    	check_status && exit 0
    	echo -n $"Starting $prog: "
    	
    	# Check that we're a privileged user
    	if [ `id -u` != 0 ] ; then
    		echo -n "Insufficient rights."
    		failure
    		echo
    		exit 4
    	fi
    
    	# Check that log files exist, otherwise create them with proper ownership
    	if [ ! -e $LOGFILE ]; then
    		touch $LOGFILE && chown $BOINCUSER:$BOINCUSER $LOGFILE
    	fi
    	if [ ! -e $ERRORLOG ]; then
    		touch $ERRORLOG && chown $BOINCUSER:$BOINCUSER $ERRORLOG
    	fi
    
    	daemon --check $BOINCEXE --user $BOINCUSER +10 "$BOINCEXE $BOINCOPTS --dir $BOINCDIR >>$LOGFILE 2>>$ERRORLOG &" >& /dev/null
    	
    	# Check that boinc is running, give it a few tries
    	TRY=0
    	while [ $TRY -lt 10 ] ; do
    		check_status && { touch $LOCKFILE; success; echo; return; } || sleep 1
    		let TRY+=1
            done;
    	check_status && { touch $LOCKFILE; success; } || failure
    	echo
    }
    
    stop() {
    	cd $BOINCDIR
    	check_status || exit 0
    	echo -n $"Stopping $prog: "
    	killproc -d 10 $BOINCEXE
    	rm -f $LOCKFILE
    	echo 
    }
    
    reload() {
    	check_status || { start; exit; }
    	action "Reading configuration: " $BOINCCMD --read_cc_config | sed -e "s/retval.*//" -e "N;s/\n//;"
    }
    
    restart() {
    	stop
    	start
    }
    
    case "$1" in
      start) 
    	$1 
    	;;
      stop)
    	$1
    	;;
      reload)
    	$1
    	;;
      restart)
    	$1
    	;;
      force-reload)
      	reload
    	restart
      	;;
      condrestart|try-restart)
      	check_status || exit 0
    	restart
      	;;
      status)
    	status $BOINCEXE
    	;;
      *)
            echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
            exit 2
    esac
    
    exit $?

  4. #4
    Join Date
    Jun 2004
    Location
    Maryland, US
    Posts
    11,362
    Mentioned
    87 Post(s)
    Tagged
    0 Thread(s)

    Re: Fedora 17 boinc rpm package defective?

    Quote Originally Posted by hakova
    I posted this to the boinc message board as well but so far did not receive any response (http://boinc.berkeley.edu/dev/forum_thread.php?id=7622).

    Any input will be greatly appreciated.
    The boinc forum and the developers there don't have anything to do with this as it's a Fedora packaging problem. Someone in the Fedora developer network takes the boinc code as is and it's their job to tweak it for Fedora.
    The better option would be to go to fedoraproject.org, then in there see the Help section FAQ (http://fedoraproject.org/wiki/FAQ) where I found this:

    3.3 Where can I report bugs or request features for software packages existing in Fedora?

    Unfortunately the bug posting procedure from there on is such a pain that most people give up right there. I think they should have a basic reporting procedure short of registering a bugzilla account (something like a 'tip line') but there isn't one that I've heard of.

  5. #5
    Join Date
    Jun 2011
    Location
    Atlanta, GA
    Posts
    11
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: Fedora 17 boinc rpm package defective?

    @hakova Can you tell me anything else you did? I tried what you suggested and still have the same problem. I removed everything boinc related and then reinstalled the packages from s/w management, copied your script into /etc/init.d as "boinc-client" and restarted but it's still the same. The client is not starting automatically. I started it manually with "systemctl start boinc-client.service" and it runs but when I open the manager it still can't connect to it. Any help would be appreciated. If I can't fix it I may roll back to F16 as I run BOINC on this box quite a bit. Thanks.

Similar Threads

  1. BOINC, Fedora 15 X64, and an AMD GPU
    By Wayne Borean in forum Using Fedora
    Replies: 1
    Last Post: 9th August 2011, 07:31 PM
  2. BOINC in Fedora 14
    By mistergoodbytes in forum Using Fedora
    Replies: 4
    Last Post: 24th February 2011, 02:44 PM
  3. Replies: 0
    Last Post: 2nd August 2010, 09:13 PM
  4. boinc help new to fedora
    By wwsean08 in forum Using Fedora
    Replies: 7
    Last Post: 18th February 2008, 12:54 AM
  5. Fedora 7 and BOINC problems
    By oldsoundguy in forum Using Fedora
    Replies: 1
    Last Post: 17th September 2007, 08:21 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
[[template footer(Guest)]]